summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrey Grozin <grozin@gentoo.org>2017-01-25 22:02:23 +0700
committerAndrey Grozin <grozin@gentoo.org>2017-01-25 22:02:23 +0700
commit741adc622df379cc397ea2a9d6e9f410950bdfd4 (patch)
tree709bb21332b442f54d6b7ba91f7e833d5feabc47 /sci-mathematics
parentdev-libs/beignet: bump to 1.3.0 (diff)
downloadgentoo-741adc622df379cc397ea2a9d6e9f410950bdfd4.tar.gz
gentoo-741adc622df379cc397ea2a9d6e9f410950bdfd4.tar.bz2
gentoo-741adc622df379cc397ea2a9d6e9f410950bdfd4.zip
sci-mathematics/wxmaxima: bump to 16.12.1
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'sci-mathematics')
-rw-r--r--sci-mathematics/wxmaxima/Manifest1
-rw-r--r--sci-mathematics/wxmaxima/wxmaxima-16.12.1.ebuild76
2 files changed, 77 insertions, 0 deletions
diff --git a/sci-mathematics/wxmaxima/Manifest b/sci-mathematics/wxmaxima/Manifest
index 7f52b990a94..5fdff815f1e 100644
--- a/sci-mathematics/wxmaxima/Manifest
+++ b/sci-mathematics/wxmaxima/Manifest
@@ -1,3 +1,4 @@
DIST wxmaxima-15.08.2.tar.gz 5592673 SHA256 7ad3f018e42d15d06bee5af10053edb72e441c1d1feee318dc6eb927db6a26c5 SHA512 a537c49477f54df4fd9e4e42a5e0d0d740f1ede817d807a98b7cec877a3ad77b2be0a61ae487a7fa5beb193b112eca163b8873292ecab5acf118d58a91e91af6 WHIRLPOOL a4df36704bbd33f841ddf3b9651662a092708850cdc637e6f6bfabc195c1e7e34dd66e14d92ee1cba69f3810bc74a4295837709d38bf6d6ce83b81d7776a3b9a
DIST wxmaxima-16.04.2.tar.gz 5178050 SHA256 761c2a5630a6d81fa84bc9eba431112910dce818c4dd77338e3a0691c2fcf8ba SHA512 da8159e7c779f50bde7a6f6852987c18aaf724b1ebf0bdc4d231f40b80e04cee2870a520251d212681b3f0a7533d28b744d3684fc395a26d2a46b48c1a31a856 WHIRLPOOL 613950e86516ab73d99180bf2ccc3f8f82167005a89fc07ea3ac0682054325c857bd54d1ab6fd7da200d045db28f9f4f0b2b05f9107916bdf39285afba9bfd0e
DIST wxmaxima-16.12.0.tar.gz 4842949 SHA256 30d4fcf2b33349fb60d13f7efcd0d9b5460915fa7065665a2c7c291c77d26a06 SHA512 6a68cf6b4fdf07bef7fdd19397c226c3cf4f693aaab8ae028e6af69b114a04fa7dbf20f7f183853f8f655ef8d0bf984ee2a0af6096697ab3c454d17f37c98819 WHIRLPOOL 943d62045215067054ef4135249b6ae9378b0ff38e027f150934e35e91540ef59d3d7f02dfa9ed4cde2302d3be86582f53443cbc286880459338609d23f9c6e6
+DIST wxmaxima-16.12.1.tar.gz 4843706 SHA256 e13d4c28f7b4dd26fb29d0b9a1697622c5aa627d17cf4cc9c598d19af8acb09e SHA512 813ea41bbec7bc8f55e741cad1756125f3ec63e7d76bbc64377c0e2dc552333e184eec128e0680129c0b6c11f04183c9ce60eb3a5f0b459e2f1008989485a6e4 WHIRLPOOL e584ac39456ad2cc055f5c34c57a2b18da40a8ea63189c61304551e25d2377ec7f889310a4530825f17bcfb8e10134277684378a3bbe4dc1077d7aed6a96277f
diff --git a/sci-mathematics/wxmaxima/wxmaxima-16.12.1.ebuild b/sci-mathematics/wxmaxima/wxmaxima-16.12.1.ebuild
new file mode 100644
index 00000000000..3e81026f0ee
--- /dev/null
+++ b/sci-mathematics/wxmaxima/wxmaxima-16.12.1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+WX_GTK_VER="3.0"
+
+inherit eutils gnome2-utils wxwidgets fdo-mime
+
+DESCRIPTION="Graphical frontend to Maxima, using the wxWidgets toolkit"
+HOMEPAGE="http://andrejv.github.io/wxmaxima/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DEPEND="
+ dev-libs/libxml2:2
+ x11-libs/wxGTK:${WX_GTK_VER}"
+RDEPEND="${DEPEND}
+ media-fonts/jsmath
+ sci-visualization/gnuplot[wxwidgets]
+ sci-mathematics/maxima"
+
+src_prepare() {
+ local i
+
+ # consistent package names
+ sed -e "s:\${datadir}/wxMaxima:\${datadir}/${PN}:g" \
+ -i Makefile.in data/Makefile.in test/Makefile.in || die "sed failed"
+
+ sed -e 's:share/wxMaxima:share/wxmaxima:g' \
+ -i src/wxMaxima.cpp src/wxMaximaFrame.cpp src/Dirstructure.cpp src/Dirstructure.h \
+ || die "sed failed"
+
+ # correct gettext behavior
+ if [[ -n "${LINGUAS+x}" ]] ; then
+ for i in $(cd "${S}"/locales ; echo *.mo) ; do
+ if ! has ${i%.mo} ${LINGUAS} ; then
+ sed -i \
+ -e "/^WXMAXIMA_LINGUAS/s# ${i%.mo}##" \
+ -e "/^WXWIN_LINGUAS/s# ${i%.mo}##" \
+ locales/Makefile.in || die
+ fi
+ done
+ fi
+}
+
+src_configure() {
+ econf \
+ --enable-printing \
+ --with-wx-config=${WX_CONFIG}
+}
+
+src_install () {
+ default
+ doicon -s 128 data/wxmaxima.png
+ make_desktop_entry wxmaxima wxMaxima wxmaxima
+ dosym /usr/share/${PN}/README /usr/share/doc/${PF}/README
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ fdo-mime_desktop_database_update
+}